Subject: [AVTCORE] I-D Action: draft-ietf-avtcore-cc-feedback-message-01.txt

From: [email-masked]
Date: Mon, 05 Mar 2018 09:14:25 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Audio/Video Transport Core Maintenance WG of the IETF.

        Title           : RTP Control Protocol (RTCP) Feedback for Congestion Control
        Authors         : Zaheduzzaman Sarker
                          Colin Perkins
                          Varun Singh
                          Michael A. Ramalho
	Filename        : draft-ietf-avtcore-cc-feedback-message-01.txt
	Pages           : 11
	Date            : 2018-03-05

Abstract:
   This document describes an RTCP feedback message intended to enable
   congestion control for interactive real-time traffic using RTP.  The
   feedback message is designed for use with a sender-based congestion
   control algorithm, in which the receiver of an RTP flow sends RTCP
   feedback packets to the sender containing the information the sender
   needs to perform congestion control.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-avtcore-cc-feedback-message/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-avtcore-cc-feedback-message-01
https://datatracker.ietf.org/doc/html/draft-ietf-avtcore-cc-feedback-message-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-avtcore-cc-feedback-message-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Colin Perkins <[email-masked]>
Date: Tue, 6 Mar 2018 22:52:29 +0000

> On 5 Mar 2018, at 17:14, [email-masked] wrote:
> 

The changes in this version of the draft include:

Updates the unit of measurement of the arrival time offset field to use a 1024Hz clock, rather than a 1000Hz clock, to give exact offsets from the Report Timestamp.
Clarify that if no packets are received from an SSRC in a reporting interval, then no report block is sent for that SSRC. Suggest that a regular SR/RR packet SHOULD be sent instead in this case, since the non-increased extended highest sequence number received field of that SR/RR packet will inform the sender that no packets have been received.
Give guidance on what sequence number range should be included in each report. State that they should cover consecutive ranges, and not overlap, but state behaviour if they do overlap. State that reports more than one quarter of the sequence number space ahead or behind the previous report MUST be ignored.
Expand guidance on feedback timing, and reference draft-ietf-rmcat-rtp-cc-feedback for details.
Clarify that sequence number wrap-around should be accounted for, and note sequence number calculations use modulo arithmetic.
Rather than leave the format and clock source used for the Report Timestamp (RTS) field unspecified, mandate that it uses the same clock as used for RTCP SR/RR NTP timestamp fields, and is formatted as the middle 32 bits of an NTP format timestamp (as described in Section 4 of RFC 3550).

In addition, there has significant editorial improvements and clarifications throughout. The changes attempt to address feedback from Magnus Westerlund and Ingemar Johansson at IETF 100 and on the mailing list.

-- 
Colin Perkins
https://csperkins.org/